## org.eclipse.jst.jsf.facesconfig.emf
Interface NavigationCaseType

All Known Implementing Classes:
  NavigationCaseTypeImpl

    public interface NavigationCaseType

A representation of the model object 'Navigation Case Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `From Action`
- `From Outcome`
- `If`
- `To View Id`
- `Redirect`
- `Id`

See Also:
  `FacesConfigPackage.getNavigationCaseType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`FromActionType` `getFromAction()` Returns the value of the 'From Action' containment reference
`FromOutcomeType` `getFromOutcome()` Returns the value of the 'From Outcome' containment reference
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`IfType` `getIf()` Returns the value of the 'If' containment reference
`RedirectType` `getRedirect()` Returns the value of the 'Redirect' containment reference
`ToViewIdType` `getToViewId()` Returns the value of the 'To View Id' containment reference
`void` `setFromAction(FromActionType value)` Sets the value of the '`From Action`' containment reference
`void` `setFromOutcome(FromOutcomeType value)` Sets the value of the '`From Outcome`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setIf(IfType value)` Sets the value of the '`If`' containment reference
`void` `setRedirect(RedirectType value)` Sets the value of the '`Redirect`' containment reference
`void` `setToViewId(ToViewIdType value)` Sets the value of the '`To View Id`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationCaseType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationCaseType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationCaseType_Icon()`

### getFromAction

    FromActionType getFromAction()

  Returns the value of the 'From Action' containment reference.

  If the meaning of the 'From Action' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'From Action' containment reference.
  See Also:
    `setFromAction(FromActionType)`, `FacesConfigPackage.getNavigationCaseType_FromAction()`

### setFromAction

    void setFromAction(FromActionType value)

  Sets the value of the '`From Action`' containment reference.

  Parameters:
    `value` - the new value of the 'From Action' containment reference.
  See Also:
    `getFromAction()`

### getFromOutcome

    FromOutcomeType getFromOutcome()

  Returns the value of the 'From Outcome' containment reference.

  If the meaning of the 'From Outcome' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'From Outcome' containment reference.
  See Also:
    `setFromOutcome(FromOutcomeType)`, `FacesConfigPackage.getNavigationCaseType_FromOutcome()`

### setFromOutcome

    void setFromOutcome(FromOutcomeType value)

  Sets the value of the '`From Outcome`' containment reference.

  Parameters:
    `value` - the new value of the 'From Outcome' containment reference.
  See Also:
    `getFromOutcome()`

### getIf

    IfType getIf()

  Returns the value of the 'If' containment reference.

  If the meaning of the 'If' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'If' containment reference.
  See Also:
    `setIf(IfType)`, `FacesConfigPackage.getNavigationCaseType_If()`

### setIf

    void setIf(IfType value)

  Sets the value of the '`If`' containment reference.

  Parameters:
    `value` - the new value of the 'If' containment reference.
  See Also:
    `getIf()`

### getToViewId

    ToViewIdType getToViewId()

  Returns the value of the 'To View Id' containment reference.

  If the meaning of the 'To View Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'To View Id' containment reference.
  See Also:
    `setToViewId(ToViewIdType)`, `FacesConfigPackage.getNavigationCaseType_ToViewId()`

### setToViewId

    void setToViewId(ToViewIdType value)

  Sets the value of the '`To View Id`' containment reference.

  Parameters:
    `value` - the new value of the 'To View Id' containment reference.
  See Also:
    `getToViewId()`

### getRedirect

    RedirectType getRedirect()

  Returns the value of the 'Redirect' containment reference.

  If the meaning of the 'Redirect' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Redirect' containment reference.
  See Also:
    `setRedirect(RedirectType)`, `FacesConfigPackage.getNavigationCaseType_Redirect()`

### setRedirect

    void setRedirect(RedirectType value)

  Sets the value of the '`Redirect`' containment reference.

  Parameters:
    `value` - the new value of the 'Redirect' containment reference.
  See Also:
    `getRedirect()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getNavigationCaseType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`